module.exports = {
  // Safelisting some classes to avoid content purge
  plugins: [require('daisyui')],
  safelist: [
    'safelisted',
    'bg-primary',
    'bg-secondary',
    'bg-accent',
    'bg-neutral',
    'bg-base-100',
    'bg-base-200',
    'bg-base-300',
    'bg-base-content',
    'bg-info',
    'bg-success',
    'bg-warning',
    'bg-error',
  ],
  daisyui: {
    themes: [
      {
        legacy: {
          primary: '#2980b9',
          secondary: '#30333b',
          accent: '#7028b8',
          neutral: '#999',
          info: '#2980b9',
          success: '#27ae60',
          warning: '#e67e22',
          error: '#c0392b',
          'base-100': '#41444f',
          'base-200': '#999',
          'base-300': '#30333b',
          'base-content': '#fff',
          'primary-content': '#fff',
          'secondary-content': '#fff',
          'accent-content': '#fff',
          'neutral-content': '#fff',
          'info-content': '#fff',
          'success-content': '#fff',
          'warning-content': '#fff',
          'error-content': '#fff',
          '--rounded-box': '0rem',
          '--rounded-btn': '0rem',
        },
        dark: {
          primary: '#53a5fb',
          secondary: '#20cb98',
          accent: '#b957ea',
          neutral: '#EDEDED',
          info: '#79e7f9',
          success: '#70ea8d',
          warning: '#ffd452',
          error: '#ff5a5a',
          'base-100': '#202020',
          'base-200': '#3C3C3C',
          'base-300': '#303030',
          'base-content': '#fafafa',
          'primary-content': '#000',
          'secondary-content': '#000',
          'accent-content': '#000',
          'neutral-content': '#000',
          'info-content': '#000',
          'success-content': '#000',
          'warning-content': '#000',
          'error-content': '#000',
          '--rounded-box': '0.1875rem',
          '--rounded-btn': '0.1875rem',
          '--border-btn': '1px',
        },
        omg: {
          primary: '#ffe066',
          secondary: '#eebefa',
          accent: '#bac8ff',
          neutral: '#e7ebf3',
          info: '#a5d8ff',
          success: '#63e6be',
          warning: '#ff922b',
          error: '#fcc2d7',
          'base-100': '#343a40',
          'base-200': '#6f7479',
          'base-300': '#212529',
          'base-content': '#f1f3f5',
          '--rounded-box': '.13rem',
          '--rounded-btn': '.3rem',
          '--rounded-badge': '1.9rem',
          '--animation-btn': '0.25s',
          '--animation-input': '0.2s',
          '--btn-focus-scale': '0.95',
          '--border-btn': '1px',
          '--tab-border': '1px',
          '--tab-radius': '0.5rem',
        },
      },
      'light',
      // dark
      'black', // to rework contrasts
      'synthwave',
      'halloween',
      'coffee',
      // light
      'cupcake',
      'cyberpunk',
      'valentine',
      'nord',
    ],
  },
}
